Bug 107503 - chart wizard : data range empty when the first column contains dates
Summary: chart wizard : data range empty when the first column contains dates
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
5.2.5.1 release
Hardware: All Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Chart-Wizard
  Show dependency treegraph
 
Reported: 2017-04-28 12:40 UTC by Philippe Hemmel
Modified: 2022-07-15 03:44 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
sample sheet (16.77 KB, application/vnd.oasis.opendocument.spreadsheet)
2017-04-28 12:40 UTC, Philippe Hemmel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Philippe Hemmel 2017-04-28 12:40:21 UTC
Created attachment 132935 [details]
sample sheet

I have a very simple sheet : 2 columns, the first one contains some dates, the second one contains some texts (see the attached document).

I select the data area, then insert a chart (Insert > Chart) : in the chart wizard, the data range is empty.

If the first column doesn't contain dates (or even if ONE of the cells of the first column contains a number), the chart wizard shows the correct data range.
Comment 1 m.a.riosv 2017-04-29 15:31:13 UTC
With your data what's should be represented?, changing some value on the first column then it's used as numeric data to be represented.

Adding a third column with values to be represented then it works fine, I think.
Comment 2 Philippe Hemmel 2017-05-05 08:33:57 UTC
I think we could see what should be represented if we insert the value 10000 in A2. 

Maybe I see what you mean. You're right, this sheet isn't well designed and could not show something relevant. 

But the user who created it was surprised to see that nothing was previewed and that the data range field was empty. 

Often people begin a new chart with the data they have and change the data thanks to the chart they see with that.

So if they see nothing, they don't know how to change the design of the data in the spreadsheet. They don't see that this design isn't relevant to create a chart.
Comment 3 Samuel Mehrbrodt (allotropia) 2017-07-13 13:08:59 UTC
Reproduced in Version: 5.3.1.2, Build-ID: 1:5.3.1-0ubuntu2
Comment 4 QA Administrators 2018-07-14 02:45:55 UTC Comment hidden (obsolete)
Comment 5 QA Administrators 2020-07-14 04:03:20 UTC Comment hidden (obsolete)
Comment 6 QA Administrators 2022-07-15 03:44:17 UTC
Dear Philippe Hemmel,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://web.libera.chat/?settings=#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug